curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/tags/dimensions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"values": []
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/tags/dimensions"
payload = {
"key": "<string>",
"values": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '<string>', values: []})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/tags/dimensions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"strictness": "BALANCING",
"defined_values": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"value": "<string>",
"display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"deleted_at": "2023-11-07T05:31:56Z"
}""""Create tag dimension
Creates a new tag dimension for the business. Tag dimensions define the structure and constraints for tags.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json
Path Parameters
The UUID of the business to create tag dimension for
Body
The tag dimension key
Tag strictness level - BALANCING requires tags to be applied to whole journal entries that balance, NON_BALANCING has no such restriction and can therefore be applied to individual line items of entries, invoices, etc.
BALANCING, NON_BALANCING Predefined values for this tag dimension
Show child attributes
Show child attributes
Response
Tag dimension created successfully
Unique identifier for the tag dimension
The tag dimension key
Tag strictness level - BALANCING requires tags to be applied to whole journal entries that balance, NON_BALANCING has no such restriction and can therefore be applied to individual line items of entries, invoices, etc.
BALANCING, NON_BALANCING Predefined values for this tag dimension
Show child attributes
Show child attributes
Display name for the tag dimension